<?php

$year     = date('Y');      // aktuelles Jahr
$timezone = 'Europe/Berlin';
$offset   = 0;

$dt = new DateTimeZone($timezone);
$ts = $dt->getTransitions(mktime(0, 0, 0, 1, 1, $year),
                          mktime(0, 0, 0, 12, 31, $year));
if ( isset($ts[1]) ) {
    $sommerzeitBeginn = date_create($ts[1]['time'])->format('d.m.Y');
    $sommerzeitEnde   = date_create($ts[2]['time'])->format('d.m.Y');
    $offset = (($ts[1]['offset']-$ts[2]['offset'])/3600);
    echo 'Die Daten der Zeitumstellung für die Zeitzone  ' . $timezone, ' für das Jahr ' . $year, '<br>';
    echo '<img src="https://www.sgs-visual.de/data/uhrumstellung/uhrumstellung.png" alt=" "><br>';
  

    echo "Die <b>Sommerzeit</b> beginnt in der Nacht von Samstag auf Sonntag <b>$sommerzeitBeginn</b>. <br>Die Uhr wird um 02:00 Uhr  um 1 Stunde auf 03:00 Uhr <b>vor</b> gestellt.<br><br>";

    echo "Die <b>Normalzeit</b> beginnt in der Nacht von Samstag auf Sonntag <b>$sommerzeitEnde.</b> <br>Die Uhr wird um 03:00 Uhr um 1 Stunde auf 02:00 Uhr <b>zurück</b> gestellt.";
}
else{
    echo 'Keine Sommerzeit-Umstellung in dieser Zeitzone', '<br>';
}


include ( 'https://www.sgs-visual.de/stat/config/tracking_code.php' );

?>